Bağlantılar
GET https://digily.link/api/links/
curl --request GET \
--url 'https://digily.link/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| search | İsteğe bağlı Dize | Arama dizesi. |
| search_by | İsteğe bağlı Dize | Hangi alanla arama yapıyorsunuz. İzin verilen değerler şunlardır: url, location_url. |
| is_enabled | İsteğe bağlı Boolean | |
| project_id | İsteğe bağlı Tamsayı | |
| domain_id | İsteğe bağlı Tamsayı | |
| type | İsteğe bağlı Dize |
biolink, link, file, vcard, static |
| datetime_field | İsteğe bağlı Dize | İzin verilen değerler: datetime, last_datetime |
| datetime_start | İsteğe bağlı Dize | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | İsteğe bağlı Dize | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | İsteğe bağlı Dize | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler şunlardır: link_id, datetime, last_datetime, clicks, url. |
| order_type | İsteğe bağlı Dize | Sonuçların sıralaması. İzin verilen değerler şunlardır: artan sıralama için ASC ve azalan sıralama için DESC. |
| page | İsteğe bağlı Tamsayı | Sonuçların başlayacağı istediğiniz sayfa numarası. Varsayılan olarak 1. |
| results_per_page | İsteğe bağlı Tamsayı | Sayfa başına kaç sonuç istediğiniz. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan olarak 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-04-14 11:49:54",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://digily.link/api/links?page=1",
"last": "https://digily.link/api/links?page=1",
"next": null,
"prev": null,
"self": "https://digily.link/api/links?page=1"
}
}
GET https://digily.link/api/links/{link_id}
curl --request GET \
--url 'https://digily.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-04-14 11:49:54",
}
}
POST https://digily.link/api/links
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| type | İsteğe bağlı Dize | link |
| location_url | Gerekli Dize | Hedefin URL'si.Şu zaman kullanılabilir: is_bulk = 0 |
| location_urls | Gerekli Dize | Hedefin URL'si.Şu zaman kullanılabilir: is_bulk = 1 |
| url | İsteğe bağlı Dize | Oluşturulan bağlantının URL takma adı. Rastgele oluşturulan bir takma ad için boş bırakın.Şu zaman kullanılabilir: is_bulk = 0 |
| is_bulk | İsteğe bağlı Boolean | |
| domain_id | İsteğe bağlı Tamsayı | - |
| project_id | İsteğe bağlı Tamsayı | - |
| pixels_ids | İsteğe bağlı Dizi Tamsayı | - |
| email_reports | İsteğe bağlı Dizi | Bildirim işleyicisi kimlikleri |
| schedule | İsteğe bağlı Boolean | - |
| start_date | İsteğe bağlı Dize | Şu zaman kullanılabilir: schedule = true |
| end_date | İsteğe bağlı Dize | Şu zaman kullanılabilir: schedule = true |
| clicks_limit | İsteğe bağlı Tamsayı | - |
| expiration_url | İsteğe bağlı Dize | - |
| sensitive_content | İsteğe bağlı Boolean | - |
| http_status_code | İsteğe bağlı Tamsayı | İzin verilen değerler: 301, 302, 307, 308 |
| app_linking_is_enabled | İsteğe bağlı Boolean | - |
| cloaking_is_enabled | İsteğe bağlı Boolean | - |
| cloaking_title | İsteğe bağlı Dize | - |
| cloaking_meta_description | İsteğe bağlı Dize | - |
| cloaking_custom_js | İsteğe bağlı Dize | - |
| cloaking_favicon | İsteğe bağlı Dosya | - |
| cloaking_opengraph | İsteğe bağlı Dosya | - |
| password | İsteğe bağlı Dize | - |
| forward_query_parameters_is_enabled | İsteğe bağlı Boolean | - |
| seo_block | İsteğe bağlı Boolean | - |
| utm_source | İsteğe bağlı Dize | - |
| utm_medium | İsteğe bağlı Dize | - |
| utm_campaign | İsteğe bağlı Dize | - |
| targeting_type | İsteğe bağlı Dize | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = continent_code |
| targeting_continent_code_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = continent_code |
| targeting_country_code_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = country_code |
| targeting_country_code_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = country_code |
| targeting_city_name_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = city_name |
| targeting_city_name_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = city_name |
| targeting_device_type_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = device_type |
| targeting_device_type_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = device_type |
| targeting_browser_language_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = browser_language |
| targeting_browser_language_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = browser_language |
| targeting_rotation_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = rotation |
| targeting_rotation_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = rotation |
| targeting_os_name_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = os_name |
| targeting_os_name_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = os_name |
| targeting_browser_name_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = browser_name |
| targeting_browser_name_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = browser_name |
curl --request POST \
--url 'https://digily.link/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://digily.link/' \
--url 'https://digily.link/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://digily.link/' \
{
"data": {
"id": 1
}
}
POST https://digily.link/api/links/{link_id}
| Parametreler | Detaylar | Açıklama |
|---|---|---|
| location_url | İsteğe bağlı Dize | Hedefin URL'si. |
| url | İsteğe bağlı Dize | Oluşturulan bağlantının URL takma adı. Rastgele oluşturulan bir takma ad için boş bırakın. |
| domain_id | İsteğe bağlı Tamsayı | - |
| project_id | İsteğe bağlı Tamsayı | - |
| pixels_ids | İsteğe bağlı Dizi Tamsayı | - |
| email_reports | İsteğe bağlı Dizi | Bildirim işleyicisi kimlikleri |
| schedule | İsteğe bağlı Boolean | - |
| start_date | İsteğe bağlı Dize | Şu zaman kullanılabilir: schedule = true |
| end_date | İsteğe bağlı Dize | Şu zaman kullanılabilir: schedule = true |
| clicks_limit | İsteğe bağlı Tamsayı | - |
| expiration_url | İsteğe bağlı Dize | - |
| sensitive_content | İsteğe bağlı Boolean | - |
| http_status_code | İsteğe bağlı Tamsayı | İzin verilen değerler: 301, 302, 307, 308 |
| app_linking_is_enabled | İsteğe bağlı Boolean | - |
| cloaking_is_enabled | İsteğe bağlı Boolean | - |
| cloaking_title | İsteğe bağlı Dize | - |
| cloaking_meta_description | İsteğe bağlı Dize | - |
| cloaking_custom_js | İsteğe bağlı Dize | - |
| cloaking_favicon | İsteğe bağlı Dosya | - |
| cloaking_opengraph | İsteğe bağlı Dosya | - |
| password | İsteğe bağlı Dize | - |
| forward_query_parameters_is_enabled | İsteğe bağlı Boolean | - |
| seo_block | İsteğe bağlı Boolean | - |
| utm_source | İsteğe bağlı Dize | - |
| utm_medium | İsteğe bağlı Dize | - |
| utm_campaign | İsteğe bağlı Dize | - |
| targeting_type | İsteğe bağlı Dize | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = continent_code |
| targeting_continent_code_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = continent_code |
| targeting_country_code_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = country_code |
| targeting_country_code_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = country_code |
| targeting_city_name_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = city_name |
| targeting_city_name_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = city_name |
| targeting_device_type_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = device_type |
| targeting_device_type_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = device_type |
| targeting_browser_language_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = browser_language |
| targeting_browser_language_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = browser_language |
| targeting_rotation_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = rotation |
| targeting_rotation_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = rotation |
| targeting_os_name_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = os_name |
| targeting_os_name_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = os_name |
| targeting_browser_name_key[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = browser_name |
| targeting_browser_name_value[index] | İsteğe bağlı Dize | Şu zaman kullanılabilir: targeting_type = browser_name |
curl --request POST \
--url 'https://digily.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://digily.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://digily.link/api/links/{link_id}
curl --request DELETE \
--url 'https://digily.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \